import Vue from 'vue'
import App from './App'

import request from './utils/request.js'
import store from '@/store'
import mixin from '@/mixins/default'

import lang from '@/common/lang.js'

Vue.config.productionTip = false


App.mpType = 'app'
Vue.mixin(mixin)
Vue.prototype.$request = request
Vue.prototype.$lang = lang

const app = new Vue({
  ...App,
  store
})
app.$mount()
